DIPlib Documentation - ©1995-2011 Quantitative Imaging Group, Delft University of Technology.

# FeatureCreateFunction

Measurement feature #create function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureCreateFunction) ( measurement, featureID, label, intensity, physDims, params, data, resources )

## FUNCTION

The `create` function is called to initialise the measurement function. It should allocate and initialise a memory block for internal use, assign this block to the pointer `*data`, and register it in `resources`.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement feature function ID
`dip_Image` | `label` | Image with pixel intensities represending object IDs
`dip_Image` | `intensity` | Image containing corresponding intensity values
`dip_PhysicalDimensions` | `physDims` | Physical dimensions data structure
`void *` | `params` | For future expansion, is currently always `NULL`
`void **` | `data` | Pointer to a data block that can later be accessed using `MeasurementObjectData`
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MeasurementFeatureRegister`, `FeatureLineFunction`, `FeatureImageFunction`, `FeatureChainCodeFunction`, `FeatureCompositeFunction`